Remove a member
DELETE
/api/orgs/{org}/members/{userId}
const url = 'https://api.wrktr.com/api/orgs/example/members/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.wrktr.com/api/orgs/example/members/example \ --header 'Authorization: Bearer <token>'Owners remove anyone; a member can remove themselves (leave).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
userId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}Forbidden
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Forbidden"}OrgNotFound | NotFound
LastOwner
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "LastOwner"}